%global pkgname ofxparse
%global sum  Python library for working with the OFX (Open Financial Exchange) file format
%global desc \
ofxparse is a parser for Open Financial Exchange (.ofx) format files. OFX files \
are available from almost any online banking site, so they work well if you \
want to pull together your finances from multiple sources. Online trading \
accounts also provide account statements in OFX files.

Name:           python-%{pkgname}
Version:        0.15
Release:        %mkrel 1
Summary:        %{sum}
License:        MIT
URL:            http://sites.google.com/site/ofxparse
Source0:        https://files.pythonhosted.org/packages/source/o/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch
Group:       Development/Python
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-beautifulsoup4
BuildRequires:  python-six
Requires:       python-beautifulsoup4
Requires:       python-six

%description
%{desc}

Summary:        %{sum}
%{?python_provide:%python_provide python-%{pkgname}}

%package -n python3-%{pkgname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{pkgname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-beautifulsoup4
BuildRequires:  python3-six
Requires:       python3-beautifulsoup4
Requires:       python3-six
Group:          Development/Python

%description -n python3-%{pkgname}
%{desc}

%prep
%setup -q -n %{pkgname}-%{version}
rm -rf %{pkgname}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
# Tests are currently failing (just suncorp.ofx in the default configuration),
# seems to be some kind of BeautifulSoup deficiency:
# https://github.com/jseutter/ofxparse/issues/107
%{__python2} setup.py test || :
%{__python3} setup.py test || :

%files -n python-%{pkgname}
%license LICENSE
%doc README.rst AUTHORS
%{python2_sitelib}/%{pkgname}
%{python2_sitelib}/%{pkgname}*.egg-info

%files -n python3-%{pkgname}
%license LICENSE
%doc README.rst AUTHORS
%{python3_sitelib}/%{pkgname}
%{python3_sitelib}/%{pkgname}*.egg-info


%changelog
* Sun Nov 20 2016 joequant <joequant> 0.15-1.mga6
+ Revision: 1068403
- fix build requires
- fix typo
- imported package python-ofxparse

